## net.sf.saxon.charcode
Class CP852CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.CP852CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class CP852CharacterSet

extends java.lang.Object
implements CharacterSet

This package defines character set CP852

Field Summary
`static CP852CharacterSet` `theInstance`

Method Summary
`java.lang.String` `getEncodingName()`
`static CP852CharacterSet` `getInstance()`
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static CP852CharacterSet theInstance

Method Detail

### getInstance

    public static CP852CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final java.lang.String getEncodingName()

Copyright (c) Saxonica Limited. All rights reserved.